net.sourceforge.pmd.renderers

## Class XSLTRenderer

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.renderers.AbstractRenderer
    - - net.sourceforge.pmd.renderers.AbstractIncrementingRenderer
      - - net.sourceforge.pmd.renderers.XMLRenderer
        - - net.sourceforge.pmd.renderers.XSLTRenderer

- All Implemented Interfaces:
    PropertySource, Renderer

      public class XSLTRenderer
      extends XMLRenderer

  Renderer to XML format with a XSL Transformation applied.
  Author:
    Romain Pelisse, belaran@gmail.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`
    `static StringProperty` | `XSLT_FILENAME`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.XMLRenderer

      `ENCODING`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

      `errors, suppressed`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

      `description, name, propertyDefinitions, showSuppressedViolations, writer`

    - ### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

      `propertyDescriptors, propertyValuesByDescriptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `defaultFileExtension()` Return the default filename extension to use.
    `void` | `end()` This method is at the very end of the Rendering process, after `Renderer.renderFileReport(Report)`.
    `void` | `start()` This method is called before any source files are processed.

    - ### Methods inherited from class net.sourceforge.pmd.renderers.XMLRenderer

      `renderFileViolations`

    - ### Methods inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

      `renderFileReport, startFileAnalysis`

    - ### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

      `defineProperty, flush, getDescription, getName, getPropertyDefinitions, getWriter, isShowSuppressedViolations, setDescription, setName, setShowSuppressedViolations, setWriter`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

      `copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertySource

      `definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### XSLT_FILENAME

          public static final StringProperty XSLT_FILENAME

  - ### Constructor Detail

    - #### XSLTRenderer

          public XSLTRenderer()

  - ### Method Detail

    - #### defaultFileExtension

          public String defaultFileExtension()

      Description copied from interface: `Renderer`
      Return the default filename extension to use.
      Specified by:
        `defaultFileExtension` in interface `Renderer`
      Overrides:
        `defaultFileExtension` in class `XMLRenderer`
      Returns:
        String

    - #### start

          public void start()
                     throws IOException

      This method is called before any source files are processed. The Renderer will have been fully initialized by the time this method is called, so the Writer and other state will be available.
      Specified by:
        `start` in interface `Renderer`
      Overrides:
        `start` in class `XMLRenderer`
      Throws:
        `IOException`

    - #### end

          public void end()
                   throws IOException

      This method is at the very end of the Rendering process, after `Renderer.renderFileReport(Report)`.
      Specified by:
        `end` in interface `Renderer`
      Overrides:
        `end` in class `XMLRenderer`
      Throws:
        `IOException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.